osg::Program::UniformBlockInfo Struct Reference

`#include <Program>`

## Public Member Functions

| UniformBlockInfo ()
| UniformBlockInfo (GLuint index, GLsizei size)

## Public Attributes

GLuint | _index
GLsizei | _size

## Constructor & Destructor Documentation

## UniformBlockInfo() [1/2]

osg::Program::UniformBlockInfo::UniformBlockInfo | ( |  | ) |

inline

References _index, _size, and GL_INVALID_INDEX.

## UniformBlockInfo() [2/2]

osg::Program::UniformBlockInfo::UniformBlockInfo | ( | GLuint | index,
|  | GLsizei | size )

inline

References _index, and _size.

## Member Data Documentation

## _index

GLuint osg::Program::UniformBlockInfo::_index

Referenced by UniformBlockInfo(), and UniformBlockInfo().

## _size

GLsizei osg::Program::UniformBlockInfo::_size

Referenced by UniformBlockInfo(), and UniformBlockInfo().

The documentation for this struct was generated from the following file:

- osg/Program